<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classLocoStepper.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">LocoStepper Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classLocoStepper.html">LocoStepper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#abefb91b8c07a88e6f5026e0805acdf74">LocoStepper</a>(uint8_t pin1, uint8_t pin2, uint8_t *inpStep2 = NULL)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#aa4a6ac8d2b1eefbe562e09b4762e4bd0">LocoStepper</a>(uint8_t pin1, uint8_t pin2, uint8_t pin3, uint8_t pin4, uint8_t *inpStep2 = NULL)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a3f619bbe60bc7f71b64d0447b7c6b0ad">currentPosition</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#a66ed72e5f551d8ffe86b00e642c832f2">disableOutputs</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a2716957fdca4c048fcf5ba65e89abc95">distanceToGo</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#a10a8e0c2464a99df13ff50f675e7b4e0">enableOutputs</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a8be0715eaa122dc111359e9dd06168d9">move</a>(long relative)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#ae0792a7479f1a52018d948c22600fab0">moveTo</a>(long absolute)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#ae4045493f8395d7b3dc0a8e1477b3596">run</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#a0ff4c5df6aa76c31d05c357f48bf1223">setCurrentPosition</a>(long position)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#ad542ef50f02428220ab20af161e5a541">setMinPulseWidth</a>(unsigned int minWidth)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#ae5c23466938595842934a2331cfeb21e">setSpeed</a>(float speed)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a75ea615634b59ab0880cad22f7b40c48">speed</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#a293e88856ea392788806ab4413776d31">step</a>(uint8_t step)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a819e566cc3c4586f5a2c095983fa52f3">step2</a>(uint8_t step)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classLocoStepper.html#a3b2f0bee97af34b780e8d715eedf7b4d">step4</a>(uint8_t step)</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classLocoStepper.html#a92a8648eb49926cdb11f96cdc6de17b4">targetPosition</a>()</td><td class="entry"><a class="el" href="classLocoStepper.html">LocoStepper</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
